Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# OgreMemoryManager.h File Reference

`#include "OgrePlatform.h"`
`#include "OgreStdHeaders.h"`
`#include "OgreMemoryMacros.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

void * | operator new (size_t count)
void * | operator new[] (size_t count)
void | operator delete (void *ptr)
void | operator delete[] (void *ptr)

## Function Documentation

void operator delete | ( | void * | ptr | ) |

| Definition at line 418 of file OgreMemoryManager.h. References Ogre::MemoryManager::sMemManager.

void operator delete[] | ( | void * | ptr | ) |

| Definition at line 423 of file OgreMemoryManager.h. References Ogre::MemoryManager::sMemManager.

void* operator new | ( | size_t | count | ) |

| Definition at line 408 of file OgreMemoryManager.h. References Ogre::MemoryManager::sMemManager.

void* operator new[] | ( | size_t | count | ) |

| Definition at line 413 of file OgreMemoryManager.h. References Ogre::MemoryManager::sMemManager.

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:48:54 2004